<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main_navigation"
    app:startDestination="@id/initFragment">
    <fragment
        android:id="@+id/accessFragment"
        android:name="pl.codepunk.receiptvault.ui.fragments.AccessFragment"
        android:label="AccessFragment"
        tools:layout="@layout/layout_access">
        <action
            android:id="@+id/action_accessFragment_to_resetAccessFragment"
            app:destination="@id/resetAccessFragment"
            app:enterAnim="@anim/nav_default_enter_anim"
            app:exitAnim="@anim/nav_default_exit_anim"
            app:popEnterAnim="@anim/nav_default_pop_enter_anim"
            app:popExitAnim="@anim/nav_default_pop_exit_anim" />
        <action
            android:id="@+id/action_accessFragment_to_homeFragment"
            app:destination="@id/homeFragment"
            app:enterAnim="@anim/nav_default_enter_anim"
            app:exitAnim="@anim/nav_default_exit_anim"
            app:popEnterAnim="@anim/nav_default_pop_enter_anim"
            app:popExitAnim="@anim/nav_default_pop_exit_anim"
            app:popUpTo="@+id/accessFragment"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/firstAccessFragment"
        android:name="pl.codepunk.receiptvault.ui.fragments.FirstAccessFragment"
        android:label="FirstAccessFragment"
        tools:layout="@layout/layout_first_access">
        <action
            android:id="@+id/action_firstAccessFragment_to_homeFragment"
            app:destination="@id/homeFragment"
            app:enterAnim="@anim/nav_default_enter_anim"
            app:exitAnim="@anim/nav_default_exit_anim"
            app:popEnterAnim="@anim/nav_default_pop_enter_anim"
            app:popExitAnim="@anim/nav_default_pop_exit_anim"
            app:popUpTo="@+id/firstAccessFragment"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/resetAccessFragment"
        android:name="pl.codepunk.receiptvault.ui.fragments.ResetAccessFragment"
        android:label="ResetAccessFragment"
        tools:layout="@layout/layout_reset_access">
        <action
            android:id="@+id/action_resetAccessFragment_to_homeFragment"
            app:destination="@id/homeFragment"
            app:enterAnim="@anim/nav_default_enter_anim"
            app:exitAnim="@anim/nav_default_exit_anim"
            app:popEnterAnim="@anim/nav_default_pop_enter_anim"
            app:popExitAnim="@anim/nav_default_pop_exit_anim"
            app:popUpTo="@+id/accessFragment"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/initFragment"
        android:name="pl.codepunk.receiptvault.ui.fragments.InitFragment"
        android:label="InitFragment"
        tools:layout="@layout/layout_init">
        <action
            android:id="@+id/action_initFragment_to_accessFragment"
            app:destination="@id/accessFragment"
            app:enterAnim="@anim/nav_default_enter_anim"
            app:exitAnim="@anim/nav_default_exit_anim"
            app:launchSingleTop="false"
            app:popEnterAnim="@anim/nav_default_pop_enter_anim"
            app:popExitAnim="@anim/nav_default_pop_exit_anim"
            app:popUpTo="@+id/initFragment"
            app:popUpToInclusive="true" />
        <action
            android:id="@+id/action_initFragment_to_firstAccessFragment"
            app:destination="@id/firstAccessFragment"
            app:enterAnim="@anim/nav_default_enter_anim"
            app:exitAnim="@anim/nav_default_exit_anim"
            app:launchSingleTop="false"
            app:popEnterAnim="@anim/nav_default_pop_enter_anim"
            app:popExitAnim="@anim/nav_default_pop_exit_anim"
            app:popUpTo="@+id/initFragment"
            app:popUpToInclusive="true" />
        <action
            android:id="@+id/action_initFragment_to_homeFragment"
            app:destination="@id/homeFragment"
            app:enterAnim="@anim/nav_default_enter_anim"
            app:exitAnim="@anim/nav_default_exit_anim"
            app:popEnterAnim="@anim/nav_default_pop_enter_anim"
            app:popExitAnim="@anim/nav_default_pop_exit_anim"
            app:popUpTo="@+id/initFragment"
            app:popUpToInclusive="true" />
        <action
            android:id="@+id/action_initFragment_to_conditionsFragment"
            app:destination="@id/conditionsFragment"
            app:popUpTo="@+id/initFragment"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/homeFragment"
        android:name="pl.codepunk.receiptvault.ui.fragments.HomeFragment"
        android:label="homeFragment"
        tools:layout="@layout/layout_dashboard">
        <action
            android:id="@+id/action_homeFragment_to_viewReceiptFragment"
            app:destination="@id/viewReceiptFragment"
            app:enterAnim="@anim/nav_default_enter_anim"
            app:exitAnim="@anim/nav_default_exit_anim"
            app:popEnterAnim="@anim/nav_default_pop_enter_anim"
            app:popExitAnim="@anim/nav_default_pop_exit_anim"
            app:popUpTo="@+id/homeFragment"
            app:popUpToInclusive="false" />
    </fragment>
    <fragment
        android:id="@+id/viewReceiptFragment"
        android:name="pl.codepunk.receiptvault.ui.fragments.ViewReceiptFragment"
        android:label="ViewReceiptFragment"
        tools:layout="@layout/layout_view" >
        <argument
            android:name="receipt"
            app:argType="pl.codepunk.receiptvault.repository.model.ReceiptEntry" />
        <action
            android:id="@+id/action_viewReceiptFragment_to_homeFragment2"
            app:destination="@id/homeFragment"
            app:popUpTo="@+id/homeFragment"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/conditionsFragment"
        android:name="pl.codepunk.receiptvault.ui.fragments.ConditionsFragment"
        android:label="ConditionsFragment"
        tools:layout="@layout/layout_conditions" >
        <action
            android:id="@+id/action_conditionsFragment_to_initFragment"
            app:destination="@id/initFragment" />
    </fragment>
</navigation>